> ## Documentation Index
> Fetch the complete documentation index at: https://docs.argyle.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete An Account

> Deletes an account object.

<Warning>**Caution** - Deleting an account object will delete all resources associated with the account, such as paystubs or uploaded documents.</Warning>




## OpenAPI

````yaml openAPI/accounts.yaml delete /v2/accounts/{id}
openapi: 3.0.0
info:
  title: Argyle API - Accounts
  version: '2.0'
  description: Accounts are payroll connections made through Link.
servers: []
security:
  - basicAuth: []
paths:
  /v2/accounts/{id}:
    delete:
      summary: Delete an account
      description: >
        Deletes an account object.


        <Warning>**Caution** - Deleting an account object will delete all
        resources associated with the account, such as paystubs or uploaded
        documents.</Warning>
      parameters:
        - in: path
          name: id
          schema:
            type: string
            format: uuid
          required: true
          description: ID of the account object to be deleted.
      responses:
        '204':
          description: '204 status code: No content.'
components:
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: Username = api_key_id, Password = api_key_secret

````